
function highLight(x, y, r, g, b, a)
			local dx = math.abs(x- love.mouse.getX())
			local dy = math.abs(y - love.mouse.getY())
			local factor = 1/(1+ ((dx + dy)/100))
			r = math.min(r*factor, 255)
			g =  math.min(g*factor, 255)
			b =  math.min(b*factor, 255)

    return r, g, b, a
end

function love.load()
   cat = love.image.newImageData("data/smiling-cat.jpg")
   x = 50
   y = 50
   speed = 100
	fps = 0
end



function love.update(dt)
   if love.keyboard.isDown("right") then
      x = x + (speed * dt)
   elseif love.keyboard.isDown("left") then
      x = x - (speed * dt)
   end

   if love.keyboard.isDown("down") then
      y = y + (speed * dt)
   elseif love.keyboard.isDown("up") then
      y = y - (speed * dt)
   end

	fps = love.timer.getFPS( )
	
	bufferedData = love.image.newImageData(500,500)
	bufferedData:paste(cat, x,y,0,0,cat:getWidth(),cat:getHeight())
	bufferedData:mapPixel(highLight)
	screenShotImage = love.graphics.newImage(bufferedData)
	
end

function love.draw()
 	--	love.graphics.draw(cat, x, y)	
	--	screenShotData = love.graphics.newScreenshot()
	--

		love.graphics.draw(screenShotImage, 0, 0)
  	love.graphics.print( "Fps: " .. fps, 0, 0, 0, 1, 1 )
end	